# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=2

inherit gnome2 subversion

ESVN_REPO_URI="http://ardesia.googlecode.com/svn/trunk/"

HOMEPAGE="http://code.google.com/p/ardesia/"
SRC_URI=""

DESCRIPTION="Extensible scalable virtual keyboard for GNOME"
KEYWORDS=""
SLOT="0"
IUSE="doc +notify +xtst +ramble"
LICENSE="GPL-2"
HOMEPAGE="http://florence.sourceforge.net/"

RDEPEND=">=x11-libs/gtk+-2.10
	>=gnome-extra/at-spi-1
	>=gnome-base/gconf-2
	>=gnome-base/libglade-2
	gnome-base/gnome-panel
	dev-libs/libxml2
	x11-libs/cairo
	gnome-base/librsvg
	notify? ( x11-libs/libnotify )
	xtst? ( x11-libs/libXtst )"
DEPEND="${RDEPEND}
	!app-accessibility/florence
	dev-util/pkgconfig
	>=dev-util/intltool-0.23
	app-text/trang
	app-text/scrollkeeper
	sys-devel/gettext
	doc? ( >=gnome-base/libgnome-2 )"
DOCS="AUTHORS ChangeLog NEWS README"

src_prepare() {
	cd florence-ramble
	./autogen.sh
	S="${S}/florence-ramble"
}

src_configure() {
	econf $(use_with doc docs) \
	  $(use_with notify notification) \
	  $(use_with xtst) \
	  $(use_with ramble) \
	  --with-xkb
}
