# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="3"

inherit git-2 eutils python multilib

SRC_URI="https://download.github.com/pnegre-python-whiteboard-41971f7.tar.gz"

KEYWORDS="~x86 ~amd64"

DESCRIPTION="Build and operate a electronic whiteboard using
gnu/linux, wiimote and a IR pen.
"
HOMEPAGE="http://github.com/pnegre/python-whiteboard"

LICENSE="GPL-3"
SLOT="0"

IUSE=""
DEPEND=""

RDEPEND="
	dev-python/pybluez
	dev-python/numpy
	dev-python/PyQt4
	app-misc/cwiid[python]
	dev-python/python-xlib
"
DEPEND=${RDEPEND}

S="${WORKDIR}/pnegre-python-whiteboard-41971f7"

src_unpack() {
	tar xzf "${DISTDIR}/${A}"
}

src_install() {
	emake DESTDIR="${D}" install || die "emake install failed"
}

pkg_postinst() {
	python_mod_optimize "/usr/$(get_libdir)/${PN}"
}

pkg_postrm() {
	python_mod_cleanup "/usr/$(get_libdir)/${PN}"
}
