# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

inherit distutils eutils python

DESCRIPTION="A simple image, PDF and postscript file annotator."
LICENSE="ISC"
SLOT="0"
IUSE=""

HOMEPAGE="http://code.google.com/p/whyteboard"
SRC_URI="http://whyteboard.googlecode.com/files/${PN}-${PV}.tar.gz"
KEYWORDS="x86 amd64"
DEPEND="
	<dev-lang/python-3
"

RDEPEND="${DEPEND}
	media-gfx/imagemagick
	dev-python/wxpython
"

src_prepare () {
	PYTHON_SLOT="$(python_get_implementational_package)"
	PYTHON_SLOT=${PYTHON_SLOT:$((${#PYTHON_SLOT}-3))}
	cp "${FILESDIR}/whyteboard.png" "${FILESDIR}/whyteboard.desktop" .
	>setup.py
}

src_install() {
	mkdir -p "${D}/usr/bin/"
	mkdir -p "${D}/usr/share/doc/${PN}"
	mkdir -p "${D}/usr/share/applications"
	mkdir -p "${D}/usr/share/pixmaps"
	[ "$ARCH" == "amd64" ] && LIB="64"
	INSTALL_DIR="usr/lib${LIB}/python${PYTHON_SLOT/:/}/site-packages/whyteboard"
	mkdir -p "${D}${INSTALL_DIR}"
	cp -a locale whyteboard whyteboard.py "${D}${INSTALL_DIR}"
	cp -a images whyteboard whyteboard.py "${D}${INSTALL_DIR}"
	cp -a whyteboard.png "${D}/usr/share/pixmaps/"
	cp -a whyteboard.desktop "${D}/usr/share/applications/"
	cp -a *.txt "${D}/usr/share/doc/${PN}"
	ln -s "/${INSTALL_DIR}/${PN}.py" "${D}usr/bin/${PN}"
}
